rule win_darkbit_w2 {
    meta:
        author = "albertzsigovits"
        date = "2023-02-16"
        filetype = "pe"
        threat = "Ransomware.DarkBit.Windows"
	    sha256 = "9107be160f7b639d68fe3670de58ed254d81de6aec9a41ad58d91aa814a247ff"
	    malpedia_reference = "https://malpedia.caad.fkie.fraunhofer.de/details/win.darkbit"
	    malpedia_version = "20230216"
	    malpedia_license = "CC BY-NC-SA 4.0"
	    malpedia_sharing = "TLP:WHITE"
        malpedia_rule_date = "20230215"
        malpedia_hash = ""
        malpedia_license = ""
    strings:
        $goinf = " Go buildinf:"
        $mingw = "Mingw-w64 runtime failure:"
        $cgo = "_cgo_dummy_export"

        $rstr1 = "Rstrtmgr.dll"
        $rstr2 = "RmStartSession"
        $rstr3 = "RmRegisterResources"
        $rstr4 = "RmGetList"
        $rstr5 = "RmShutdown"
        $rstr6 = "RmEndSession"

        $cfg1 = "\"names\":"
        $cfg2 = "\"limits\":"
        $cfg3 = "\"extensions\":"
        $cfg4 = "\"processes\":"
        $cfg5 = "\"hostnames\":"

        $db1 = "\"darkbit.jpg\":"
        $db2 = "\"recovery_darkbit.txt\":"
        $db3 = "\"Darkbit\":"
    condition:
        uint16(0) == 0x5A4D
        and uint32(uint32(0x3C)) == 0x00004550
        and (
                ( $goinf and $mingw and $cgo and 2 of ($rstr*) and 3 of ($cfg*) )
                or
                ( 2 of ($cfg*) and 1 of ($db*) )
        )
}
